package org.bayread.ckspecial;

import com.bayread.ckspecial.db.annotation.DBInterceptor;
import com.bayread.ckspecial.db.interceptor.HandleContext;
import com.bayread.ckspecial.db.interceptor.Interceptor;
import lombok.extern.slf4j.Slf4j;

/**
 * 拦截器在BATCH模式下不生效
 */
@DBInterceptor
@Slf4j
public class LogSqlInterceptor implements Interceptor {

	@Override
	public int order() {
		return Integer.MAX_VALUE;
	}

	@Override
	public void before(HandleContext ctx) {
		log.info("execute sql:[{}] params:[]",ctx.getSql(),ctx.getParams());
	}
}